## qt6-graphs 6.9.2

=== examples/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_examples_build_begin(EXTERNAL_BUILD)

if(QT_FEATURE_graphs_3d)
    add_subdirectory(graphs/3d)
endif()

if(QT_FEATURE_graphs_2d)
    add_subdirectory(graphs/2d)
endif()

if(QT_FEATURE_graphs_2d AND QT_FEATURE_graphs_3d AND TARGET Qt6::PrintSupport)
    add_subdirectory(graphs/graphprinting)
endif()

qt_examples_build_end()

=== src/graphs2d/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_configure_add_summary_section(NAME "Qt Graphs 2D")
qt_configure_add_summary_entry(ARGS "graphs-2d-area")
qt_configure_add_summary_entry(ARGS "graphs-2d-bar")
qt_configure_add_summary_entry(ARGS "graphs-2d-donut-pie") # These are tightly wound together
qt_configure_add_summary_entry(ARGS "graphs-2d-line")
qt_configure_add_summary_entry(ARGS "graphs-2d-scatter")
qt_configure_add_summary_entry(ARGS "graphs-2d-spline")
qt_configure_end_summary_section() # end of "Qt Graphs 2D" section

if(NOT QT_FEATURE_graphs_2d_area AND NOT QT_FEATURE_graphs_2d_bar AND NOT QT_FEATURE_graphs_2d_donut_pie AND NOT QT_FEATURE_graphs_2d_line AND NOT QT_FEATURE_graphs_2d_scatter AND NOT QT_FEATURE_graphs_2d_spline)
    message("You must have one of the 2D features ON, or nothing will be built.")
else()
    qt_internal_extend_target(Graphs
        SOURCES
            qgraphsview.cpp qgraphsview_p.h
            qabstractseries.cpp qabstractseries.h qabstractseries_p.h
            charthelpers_p.h

            axis/qabstractaxis.cpp axis/qabstractaxis.h axis/qabstractaxis_p.h
            axis/axisgrid.cpp axis/axisgrid_p.h
            axis/axisticker.cpp axis/axisticker_p.h
            axis/axisline.cpp axis/axisline_p.h
            axis/valueaxis/qvalueaxis.cpp axis/valueaxis/qvalueaxis.h axis/valueaxis/qvalueaxis_p.h
            axis/datetimeaxis/qdatetimeaxis.h axis/datetimeaxis/qdatetimeaxis.cpp axis/datetimeaxis/qdatetimeaxis_p.h

            qsgrenderer/axisrenderer.cpp qsgrenderer/axisrenderer_p.h

            animation/qgraphanimation.cpp animation/qgraphanimation_p.h
        INCLUDE_DIRECTORIES
            axis
            qsgrenderer
            animation
    )
    qt_internal_extend_target(Graphs CONDITION QT_FEATURE_graphs_2d_area OR QT_FEATURE_graphs_2d_line OR QT_FEATURE_graphs_2d_scatter OR QT_FEATURE_graphs_2d_spline
        SOURCES
            xychart/qxyseries.cpp xychart/qxyseries.h xychart/qxyseries_p.h
            xychart/qxypoint.cpp xychart/qxypoint_p.h
            xychart/qxymodelmapper.cpp xychart/qxymodelmapper.h xychart/qxymodelmapper_p.h

            qsgrenderer/pointrenderer.cpp qsgrenderer/pointrenderer_p.h

            animation/qgraphpointanimation.cpp animation/qgraphpointanimation_p.h
            animation/qgraphtransition_p.h animation/qgraphtransition.cpp
            animation/qxyseriesanimation_p.h animation/qxyseriesanimation.cpp
        DEFINES
            USE_POINTS
        )
    qt_internal_extend_target(Graphs CONDITION QT_FEATURE_graphs_2d_area
        SOURCES
            areachart/qareaseries.cpp areachart/qareaseries.h areachart/qareaseries_p.h

            qsgrenderer/arearenderer.cpp qsgrenderer/arearenderer_p.h
        DEFINES
            USE_AREAGRAPH
    )
    qt_internal_extend_target(Graphs CONDITION QT_FEATURE_graphs_2d_bar
        SOURCES
            barchart/qbarseries.cpp barchart/qbarseries.h barchart/qbarseries_p.h
            barchart/qbarset.cpp barchart/qbarset.h barchart/qbarset_p.h
            barchart/qbarmodelmapper.cpp barchart/qbarmodelmapper.h barchart/qbarmodelmapper_p.h

            axis/barcategoryaxis/qbarcategoryaxis.cpp axis/barcategoryaxis/qbarcategoryaxis.h axis/barcategoryaxis/qbarcategoryaxis_p.h

            qsgrenderer/barsrenderer.cpp qsgrenderer/barsrenderer_p.h
        DEFINES
            USE_BARGRAPH
    )
    qt_internal_extend_target(Graphs CONDITION QT_FEATURE_graphs_2d_donut_pie
        SOURCES
            piechart/qpieseries.cpp piechart/qpieseries.h piechart/qpieseries_p.h
            piechart/qpieslice.cpp piechart/qpieslice.h piechart/qpieslice_p.h
            piechart/qpiemodelmapper.cpp piechart/qpiemodelmapper.h piechart/qpiemodelmapper_p.h

            qsgrenderer/pierenderer.cpp qsgrenderer/pierenderer_p.h
        DEFINES
            USE_PIEGRAPH
    )
    qt_internal_extend_target(Graphs CONDITION QT_FEATURE_graphs_2d_line OR QT_FEATURE_graphs_2d_area
        # area graph requires at least line series support
        SOURCES
            linechart/qlineseries.cpp linechart/qlineseries.h linechart/qlineseries_p.h
        DEFINES
            USE_LINEGRAPH
    )
    qt_internal_extend_target(Graphs CONDITION QT_FEATURE_graphs_2d_scatter
        SOURCES
            scatterchart/qscatterseries.cpp scatterchart/qscatterseries.h scatterchart/qscatterseries_p.h
        DEFINES
            USE_SCATTERGRAPH
    )
    qt_internal_extend_target(Graphs CONDITION QT_FEATURE_graphs_2d_spline
        SOURCES
            splinechart/qsplineseries.cpp splinechart/qsplineseries.h splinechart/qsplineseries_p.h

            animation/qsplinecontrolanimation.cpp animation/qsplinecontrolanimation_p.h
        DEFINES
            USE_SPLINEGRAPH
    )
endif()

add_subdirectory(qml/designer)

=== src/graphs3d/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_configure_add_summary_section(NAME "Qt Graphs 3D")
qt_configure_add_summary_entry(ARGS "graphs-3d-bars3d")
qt_configure_add_summary_entry(ARGS "graphs-3d-scatter3d")
qt_configure_add_summary_entry(ARGS "graphs-3d-surface3d")
qt_configure_end_summary_section() # end of "Qt Graphs 3D" section

if(NOT QT_FEATURE_graphs_3d_bars3d AND NOT QT_FEATURE_graphs_3d_scatter3d AND NOT QT_FEATURE_graphs_3d_surface3d)
    message("You must have either FEATURE_graphs_3d_bars3d, FEATURE_graphs_3d_scatter3d, or FEATURE_graphs_3d_surface3d ON, or nothing will be built.")
else()
    qt_internal_extend_target(Graphs
        SOURCES
            axis/qabstract3daxis.cpp axis/qabstract3daxis.h axis/qabstract3daxis_p.h
            axis/qcategory3daxis.cpp axis/qcategory3daxis.h axis/qcategory3daxis_p.h
            axis/qlogvalue3daxisformatter.cpp axis/qlogvalue3daxisformatter.h axis/qlogvalue3daxisformatter_p.h
            axis/qvalue3daxis.cpp axis/qvalue3daxis.h axis/qvalue3daxis_p.h
            axis/qvalue3daxisformatter.cpp axis/qvalue3daxisformatter.h axis/qvalue3daxisformatter_p.h

            data/abstractitemmodelhandler.cpp data/abstractitemmodelhandler_p.h
            data/qabstract3dseries.cpp data/qabstract3dseries.h data/qabstract3dseries_p.h
            data/qabstractdataproxy.cpp data/qabstractdataproxy.h data/qabstractdataproxy_p.h
            data/qcustom3ditem.cpp data/qcustom3ditem.h data/qcustom3ditem_p.h
            data/qcustom3dlabel.cpp data/qcustom3dlabel.h data/qcustom3dlabel_p.h
            data/qcustom3dvolume.cpp data/qcustom3dvolume.h data/qcustom3dvolume_p.h

            engine/q3dscene.cpp engine/q3dscene.h engine/q3dscene_p.h

            input/qgraphsinputhandler.cpp  input/qgraphsinputhandler_p.h

            utils/qutils.h
            utils/utils.cpp utils/utils_p.h
            utils/qgraphs3dnamespace.cpp utils/qgraphs3dnamespace.h

            qml/qquickgraphsitem.cpp qml/qquickgraphsitem_p.h
            qml/qquickgraphstexturedata.cpp qml/qquickgraphstexturedata_p.h
            qml/gradientholder_p.h
        INCLUDE_DIRECTORIES
            axis
            data
            engine
            input
            utils
            qml
            ../common/utils/
    )

    qt_internal_extend_target(Graphs CONDITION QT_FEATURE_graphs_3d_bars3d
        SOURCES
            data/baritemmodelhandler.cpp data/baritemmodelhandler_p.h
            data/qbar3dseries.cpp data/qbar3dseries.h data/qbar3dseries_p.h
            data/qbardataitem.cpp data/qbardataitem.h
            data/qbardataproxy.cpp data/qbardataproxy.h data/qbardataproxy_p.h
            data/qitemmodelbardataproxy.cpp data/qitemmodelbardataproxy.h data/qitemmodelbardataproxy_p.h

            engine/barinstancing.cpp engine/barinstancing_p.h

            qml/qquickgraphsbars.cpp qml/qquickgraphsbars_p.h
            qml/qquickgraphsbarsseries.cpp qml/qquickgraphsbarsseries_p.h
        INCLUDE_DIRECTORIES
            data
            engine
            qml
    )

    qt_internal_extend_target(Graphs CONDITION QT_FEATURE_graphs_3d_scatter3d
        SOURCES
            data/qitemmodelscatterdataproxy.cpp data/qitemmodelscatterdataproxy.h data/qitemmodelscatterdataproxy_p.h
            data/qscatter3dseries.cpp data/qscatter3dseries.h data/qscatter3dseries_p.h
            data/qspline3dseries.cpp data/qspline3dseries.h data/qspline3dseries_p.h
            data/qscatterdataitem.cpp data/qscatterdataitem.h
            data/qscatterdataproxy.cpp data/qscatterdataproxy.h data/qscatterdataproxy_p.h
            data/scatteritemmodelhandler.cpp data/scatteritemmodelhandler_p.h

            engine/scatterinstancing.cpp engine/scatterinstancing_p.h

            qml/qquickgraphsscatter.cpp qml/qquickgraphsscatter_p.h
            qml/qquickgraphsscatterseries.cpp qml/qquickgraphsscatterseries_p.h
            qml/qquickgraphssplineseries.cpp qml/qquickgraphssplineseries_p.h
        INCLUDE_DIRECTORIES
            data
            engine
            qml
    )

    qt_internal_extend_target(Graphs CONDITION QT_FEATURE_graphs_3d_surface3d
        SOURCES
            data/qheightmapsurfacedataproxy.cpp data/qheightmapsurfacedataproxy.h data/qheightmapsurfacedataproxy_p.h
            data/qitemmodelsurfacedataproxy.cpp data/qitemmodelsurfacedataproxy.h data/qitemmodelsurfacedataproxy_p.h
            data/qsurface3dseries.cpp data/qsurface3dseries.h data/qsurface3dseries_p.h
            data/qsurfacedataitem.cpp data/qsurfacedataitem.h
            data/qsurfacedataproxy.cpp data/qsurfacedataproxy.h data/qsurfacedataproxy_p.h
            data/surfaceitemmodelhandler.cpp data/surfaceitemmodelhandler_p.h

            qml/qquickgraphssurface.cpp qml/qquickgraphssurface_p.h
            qml/qquickgraphssurfaceseries.cpp qml/qquickgraphssurfaceseries_p.h
        INCLUDE_DIRECTORIES
            data
            engine
            qml
    )

    qt_internal_extend_target(Graphs CONDITION MACOS
        LIBRARIES
            Qt::GuiPrivate
        PUBLIC_LIBRARIES
            Qt::Gui
        PRIVATE_MODULE_INTERFACE
            Qt::GuiPrivate
    )
    add_subdirectory(qml/designer)
endif()
if(TARGET Qt::Widgets)
    add_subdirectory(widget)
endif()

=== tests/baseline/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qgraphs LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Special case: test includes the QBaselineTest module sources from qtbase directly
if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/../../../qtbase/tests/baseline/shared")
    add_subdirectory(scenegrabber)
    if (QT_FEATURE_process)
        add_subdirectory(graphs)
    endif()
endif()

=== examples/graphs/2d/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

if(TARGET Qt::Quick)
    if(QT_FEATURE_graphs_2d_bar AND QT_FEATURE_graphs_2d_line)
        qt_internal_add_example(hellographs)
    endif()
    if(QT_FEATURE_graphs_2d_area AND QT_FEATURE_graphs_2d_bar AND QT_FEATURE_graphs_2d_donut_pie AND QT_FEATURE_graphs_2d_line AND QT_FEATURE_graphs_2d_scatter AND QT_FEATURE_graphs_2d_spline)
        qt_internal_add_example(cockpit)
    endif()
endif()
if(NOT ANDROID AND NOT IOS AND NOT WINRT)
    if(QT_FEATURE_graphs_2d_donut_pie)
        qt_internal_add_example(quickwidgetgraphs)
    endif()
endif()

=== examples/graphs/graphprinting/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(graphprinting LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Quick)
find_package(Qt6 COMPONENTS Quick3D)
find_package(Qt6 COMPONENTS Graphs)
find_package(Qt6 COMPONENTS PrintSupport)

qt_standard_project_setup(REQUIRES 6.8)

qt_add_executable(graphprinting
    main.cpp
)
set_target_properties(graphprinting PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(graphprinting PRIVATE
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::Quick3D
    Qt::Graphs
    Qt::PrintSupport
    Qt::GuiPrivate
)

qt6_add_qml_module(graphprinting
    URI GraphPrintingExample
    NO_RESOURCE_TARGET_PATH
    SOURCES
        graphprinter.h graphprinter.cpp
    QML_FILES
        qml/graphprinting/main.qml
        qml/graphprinting/Graph2D.qml
        qml/graphprinting/Graph3D.qml
    RESOURCES
        qml/graphprinting/box_left.svg
        qml/graphprinting/box_left_fill.svg
        qml/graphprinting/documents.svg
        qml/graphprinting/documents_fill.svg
        qml/graphprinting/flatten.svg
        qml/graphprinting/flatten_square_fill.svg
        qml/graphprinting/folder.svg
        qml/graphprinting/folder_fill.svg
        qml/graphprinting/print.svg
        qml/graphprinting/print_fill.svg
)

install(TARGETS graphprinting
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/common/global/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_extend_target(Graphs
    SOURCES
        qgraphsglobal_p.h
        qgraphsglobal.h
)

=== src/common/theme/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_extend_target(Graphs
    SOURCES
        qgraphstheme.cpp qgraphstheme.h qgraphstheme_p.h
        qquickgraphscolor.cpp qquickgraphscolor_p.h
    INCLUDE_DIRECTORIES
        ../utils/
)

=== src/common/utils/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_extend_target(Graphs
    SOURCES
        commonutils.cpp commonutils_p.h
)

=== src/graphs3d/widget/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_module(GraphsWidgets
    SOURCES
        qgraphswidgetsglobal.h
        q3dgraphswidgetitem.cpp q3dgraphswidgetitem.h q3dgraphswidgetitem_p.h
    DEFINES
        QT_NO_FOREACH
        QT_NO_INTEGER_EVENT_COORDINATES
        QT_NO_URL_CAST_FROM_STRING
    LIBRARIES
        Qt::GraphsPrivate
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Graphs
        Qt::QuickWidgets
    PRIVATE_MODULE_INTERFACE
        Qt::GraphsPrivate
        Qt::CorePrivate
)

qt_internal_extend_target(GraphsWidgets CONDITION QT_FEATURE_graphs_3d_bars3d
    SOURCES
        q3dbarswidgetitem.cpp q3dbarswidgetitem.h q3dbarswidgetitem_p.h
)

qt_internal_extend_target(GraphsWidgets CONDITION QT_FEATURE_graphs_3d_scatter3d
    SOURCES
        q3dscatterwidgetitem.cpp q3dscatterwidgetitem.h q3dscatterwidgetitem_p.h
)

qt_internal_extend_target(GraphsWidgets CONDITION QT_FEATURE_graphs_3d_surface3d
    SOURCES
        q3dsurfacewidgetitem.cpp q3dsurfacewidgetitem.h q3dsurfacewidgetitem_p.h
)

# Include required QML plugins for static build
if (NOT QT_BUILD_SHARED_LIBS)
    qt_internal_add_resource(GraphsWidgets "qml_for_widget"
      PREFIX
      "/qml"
      BASE
      "qml"
      FILES
        "./qml/dummy.qml"
    )

    qt_import_qml_plugins(GraphsWidgets)
endif()

=== tests/auto/cpp2dtest/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(qgaxis-value)
if (QT_FEATURE_timezone)
    add_subdirectory(qgaxis-datetime)
endif()
if(QT_FEATURE_graphs_2d_area)
    if(QT_FEATURE_graphs_2d_spline)
        add_definitions(-DUSE_SPLINEGRAPH) # for testing QSplineSeries as upper and lower series
    endif()
    add_subdirectory(qgarea)
endif()
if(QT_FEATURE_graphs_2d_bar)
    add_subdirectory(qgaxis-abstract)
    add_subdirectory(qgaxis-barcategory)
    add_subdirectory(qgbarmodelmapper)
    add_subdirectory(qgbars)
    add_subdirectory(qgbars-set)
endif()
if(QT_FEATURE_graphs_2d_donut_pie)
    add_subdirectory(qgpieslice)
    add_subdirectory(qgpieseries)
    add_subdirectory(qgpiemodelmapper)
endif()
if(QT_FEATURE_graphs_2d_line)
    add_subdirectory(qglines)
    add_subdirectory(qgxymodelmapper) # uses QLineSeries for testing
endif()
if(QT_FEATURE_graphs_2d_scatter)
    add_subdirectory(qgscatter)
    add_subdirectory(qgxychart) # uses QScatterSeries for testing
endif()
if(QT_FEATURE_graphs_2d_spline)
    add_subdirectory(qgsplines)
endif()

=== tests/auto/cpptest/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(QT_FEATURE_graphs_3d_bars3d)
    add_subdirectory(qgbars)
    add_subdirectory(qgbars-proxy)
    add_subdirectory(qgbars-modelproxy)
    add_subdirectory(qgbars-series)
    add_subdirectory(qginput)
    add_subdirectory(qgscene)
endif()
if(QT_FEATURE_graphs_3d_scatter3d)
    add_subdirectory(qgscatter)
    add_subdirectory(qgscatter-proxy)
    add_subdirectory(qgscatter-modelproxy)
    add_subdirectory(qgscatter-series)
    add_subdirectory(qgspline-series)
endif()
if(QT_FEATURE_graphs_3d_surface3d)
    add_subdirectory(qgsurface)
    add_subdirectory(qgsurface-proxy)
    add_subdirectory(qgsurface-modelproxy)
    add_subdirectory(qgsurface-modelproxy-nan)
    add_subdirectory(qgsurface-heightproxy)
    add_subdirectory(qgsurface-series)
endif()

add_subdirectory(qgaxis-category)
add_subdirectory(qgaxis-logvalue)
add_subdirectory(qgaxis-value)
add_subdirectory(qgtheme)
add_subdirectory(qgcustom)
add_subdirectory(qgcustom-label)
add_subdirectory(qgcustom-volume)

=== debian/changelog ===
qt6-graphs (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Nov 2025 23:57:35 +0100

qt6-graphs (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:14:33 +0200

qt6-graphs (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Sep 2025 08:51:25 +0200

qt6-graphs (6.9.1-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix FTCBFS: Pass QT_HOST_PATH, thx to Helmut Grohne (Closes:
    #1113858).

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Sep 2025 18:25:10 +0200

=== debian/control ===
Source: qt6-graphs
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libcups2-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2+dfsg~),
               qt6-base-private-dev (>= 6.9.2+dfsg~),
               qt6-declarative-dev (>= 6.9.2+dfsg~),
               qt6-declarative-private-dev (>= 6.9.2+dfsg~),
               qt6-quick3d-dev (>= 6.9.2~),
               qt6-quick3d-private-dev (>= 6.9.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-graphs
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-graphs.git

Package: libqt6graphs6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Graphs library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs library.

Package: libqt6graphswidgets6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Graphs Widgetslibrary
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs Widgets library.

Package: qml6-module-qtgraphs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Graphs QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs QML module.

Package: qt6-graphs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6graphs6 (= ${binary:Version}),
         libqt6graphswidgets6 (= ${binary:Version}),
         qml6-module-qtgraphs (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Graphs - development
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using the Qt Graphs library.

Package: qt6-graphs-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Description: Qt 6 Graphs documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Graphs.

Package: qt6-graphs-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Description: Qt 6 Graphs HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Graphs.

Package: qt6-graphs-examples
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Graphs examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs examples.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

# enable ccache with corresponding build-profile
ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
	extra_cmake_args += -DQT_USE_CCACHE=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtgraphs-everywhere-src-(.*)\.tar\.xz

## qt6-graphs 6.9.3

=== debian/changelog ===
qt6-graphs (6.9.3-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 01:04:52 +0000

qt6-graphs (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-graphs (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 16:26:56 +1000

qt6-graphs (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:06:10 +1000

qt6-graphs (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 02 May 2025 01:01:58 +1000

qt6-graphs (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:16:12 +1000

qt6-graphs (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:04:37 +1000

qt6-graphs (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 07:39:03 +1000

qt6-graphs (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 20:41:15 +1000

qt6-graphs (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 00:44:37 +1000

qt6-graphs (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 19:10:13 +1000

=== debian/control ===
Source: qt6-graphs
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libcups2-dev,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               qt6-quick3d-dev (>= 6.9.3~),
               qt6-shadertools-dev (>= 6.9.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-graphs.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-graphs
Maintainer: Neon CI <neon@kde.org>

Package: qt6-graphs
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6graphs6,
          libqt6graphs6-plugins,
          libqt6graphsquick6,
          qml6-module-qtgraphs
Description: Qt 6 Graphs Data Visualization library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of APIs to visualize data in 3D as bar, scatter,
 and surface graphs.

Package: qt6-graphs-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-graphs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-graphs-doc-dev, qt6-graphs-examples
Description: Qt 6 Graphs Data Visualization - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using the Qt Graphs Data Visualization library.

Package: qt6-graphs-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-graphs-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-graphs-doc-html
Description: Qt 6 Graphs Data Visualization - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files to help build Qt applications
 using the Qt Graphs Data Visualization library.

Package: libqt6graphs6
Architecture: all
Depends: qt6-graphs, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6graphsquick6
Architecture: all
Depends: qt6-graphs, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6graphs6-plugins
Architecture: all
Depends: qt6-graphs, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtgraphs
Architecture: all
Depends: qt6-graphs, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-graphs-doc-dev
Architecture: all
Depends: qt6-graphs-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-graphs-doc-html
Architecture: all
Depends: qt6-graphs-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-graphs-examples
Architecture: all
Depends: qt6-graphs-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## qt6-graphs 6.10.0

=== debian/changelog ===
qt6-graphs (6.10.0-0zneon+24.04+noble+unstable+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 09:11:21 +0000

qt6-graphs (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:33:46 +1000

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,14 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-declarative-dev (>= 6.9.3~),
-               qt6-quick3d-dev (>= 6.9.3~),
-               qt6-shadertools-dev (>= 6.9.3~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-quick3d-dev (>= 6.10.0~),
+               qt6-shadertools-dev (>= 6.10.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
-                     qt6-tools (>= 6.9~) <!nodoc>
+Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
+                     qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
@@ -72,7 +72,7 @@
 Replaces: qt6-graphs-doc-html
 Description: Qt 6 Graphs Data Visualization - documentation files
  Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
+ is its rich set of widgets that provide standard GUI fubump abi and/or internal build dep requirementsnctionality.
  .
  This package contains the documentation files to help build Qt applications
  using the Qt Graphs Data Visualization library.

## qt6-graphs 6.10.1

=== debian/changelog ===
qt6-graphs (6.10.1-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 07:16:53 +0000

qt6-graphs (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:03 +1000

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-quick3d-dev (>= 6.10.0~),
-               qt6-shadertools-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-quick3d-dev (>= 6.10.1~),
+               qt6-shadertools-dev (>= 6.10.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtgraphs-everywhere-src-([\d\.]+\d).tar.xz

## qt6-graphs 6.10.2

=== src/graphs2d/CMakeLists.txt ===
--- 
+++ 
@@ -99,6 +99,56 @@
         DEFINES
             USE_SPLINEGRAPH
     )
+
+    set(LOCAL_TRACE_SOURCE_2D
+            graphs2d/qsgrenderer/axisrenderer.cpp
+            graphs2d/qgraphsview.cpp
+    )
+
+
+    if(QT_FEATURE_graphs_2d_bar)
+        set(LOCAL_TRACE_SOURCE_2D
+                ${LOCAL_TRACE_SOURCE_2D}
+                graphs2d/qsgrenderer/barsrenderer.cpp
+                graphs2d/barchart/qbarmodelmapper.cpp
+        )
+    endif()
+
+    if(QT_FEATURE_graphs_2d_donut_pie)
+        set(LOCAL_TRACE_SOURCE_2D
+                ${LOCAL_TRACE_SOURCE_2D}
+                graphs2d/qsgrenderer/pierenderer.cpp
+                graphs2d/piechart/qpiemodelmapper.cpp
+                graphs2d/piechart/qpieseries.cpp
+        )
+    endif()
+
+    if(QT_FEATURE_graphs_2d_spline)
+        set(LOCAL_TRACE_SOURCE_2D
+                ${LOCAL_TRACE_SOURCE_2D}
+                graphs2d/splinechart/qsplineseries.cpp
+        )
+    endif()
+
+    if(QT_FEATURE_graphs_2d_area)
+        set(LOCAL_TRACE_SOURCE_2D
+                ${LOCAL_TRACE_SOURCE_2D}
+                graphs2d/qsgrenderer/arearenderer.cpp
+        )
+    endif()
+    if(QT_FEATURE_graphs_2d_area OR QT_FEATURE_graphs_2d_line OR QT_FEATURE_graphs_2d_scatter
+        OR QT_FEATURE_graphs_2d_spline)
+        set(LOCAL_TRACE_SOURCE_2D
+                ${LOCAL_TRACE_SOURCE_2D}
+                graphs2d/qsgrenderer/pointrenderer.cpp
+                graphs2d/xychart/qxymodelmapper.cpp
+        )
+    endif()
+
+    set(TRACE_SOURCES_2D
+            ${LOCAL_TRACE_SOURCE_2D}
+        PARENT_SCOPE
+    )
 endif()
 
 add_subdirectory(qml/designer)

=== examples/graphs/graphprinting/CMakeLists.txt ===
--- 
+++ 
@@ -4,24 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 project(graphprinting LANGUAGES CXX)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
-set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-set(CMAKE_AUTOUIC ON)
-
-if(NOT DEFINED INSTALL_EXAMPLESDIR)
-  set(INSTALL_EXAMPLESDIR "examples")
-endif()
-
-set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")
-
-find_package(Qt6 COMPONENTS Core)
-find_package(Qt6 COMPONENTS Gui)
-find_package(Qt6 COMPONENTS Quick)
-find_package(Qt6 COMPONENTS Quick3D)
-find_package(Qt6 COMPONENTS Graphs)
-find_package(Qt6 COMPONENTS PrintSupport)
+find_package(Qt6 REQUIRED COMPONENTS Core Gui GuiPrivate Quick Graphs PrintSupport)
 
 qt_standard_project_setup(REQUIRES 6.8)
 
@@ -37,7 +20,6 @@
     Qt::Core
     Qt::Gui
     Qt::Quick
-    Qt::Quick3D
     Qt::Graphs
     Qt::PrintSupport
     Qt::GuiPrivate
@@ -66,7 +48,15 @@
 )
 
 install(TARGETS graphprinting
-    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
-    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
-    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
+    BUNDLE DESTINATION .
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+    LIBRARY DESTINATION ${CMAKE_INSTALL_BINDIR}
 )
+
+qt_generate_deploy_app_script(
+    TARGET graphprinting
+    OUTPUT_SCRIPT deploy_script
+    NO_UNSUPPORTED_PLATFORM_ERROR
+)
+
+install(SCRIPT ${deploy_script})

=== tests/manual/qmlbenchmark2d/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

# To see both QtCharts and QtGraphs benchmarks in one graph, first build and run this with
# set(USE_CHARTS true) and the again with set(USE_CHARTS false)
set(USE_CHARTS false)

if (USE_CHARTS)
    project(tst_qmlbenchmark2d LANGUAGES C CXX)
    find_package(Qt6 REQUIRED COMPONENTS Charts Core Gui Qml Quick)

    add_compile_definitions(USE_CHARTS)

    qt_standard_project_setup()

    qt_add_executable(tst_qmlbenchmark2d
        main.cpp
        chartsdatasource.h chartsdatasource.cpp
        resultsio.h resultsio.cpp
    )

    target_link_libraries(tst_qmlbenchmark2d PUBLIC
        Qt::Charts
        Qt::Widgets
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
    )
else()
    if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
        project(tst_qmlbenchmark2d LANGUAGES C CXX)
        find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
    endif()

    qt_internal_add_manual_test(tst_qmlbenchmark2d
        GUI
        SOURCES
            main.cpp
            datasource.h datasource.cpp
            resultsio.h resultsio.cpp
    )

    target_link_libraries(tst_qmlbenchmark2d PUBLIC
        Qt::Graphs
        Qt::Widgets
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
    )
endif()

# Resources:
set(qmlbenchmark2d_resource_files
    "Main.qml"
    "Results.qml"
    "ChartsLineTest.qml"
    "ChartsAreaTest.qml"
    "ChartsBarTest.qml"
    "ChartsOpenGLLineTest.qml"
    "ChartsSplineTest.qml"
    "GraphsLineTest.qml"
    "GraphsAreaTest.qml"
    "GraphsBarTest.qml"
    "GraphsSplineTest.qml"
)

qt_internal_add_resource(tst_qmlbenchmark2d "qmlbenchmark2d"
    PREFIX
        "/"
    FILES
        ${qmlbenchmark2d_resource_files}
)

=== tests/manual/surfacetest/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_surfacetest LANGUAGES C CXX)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_internal_add_manual_test(tst_surfacetest
    GUI
    SOURCES
        buttonwrapper.cpp buttonwrapper.h
        checkboxwrapper.cpp checkboxwrapper.h
        graphmodifier.cpp graphmodifier.h
        main.cpp
    )
target_link_libraries(tst_surfacetest PUBLIC
    Qt::Gui
    Qt::Widgets
    Qt::Graphs
    Qt::GraphsWidgets
    )

set_source_files_properties("Heightmap.png"
    PROPERTIES QT_RESOURCE_ALIAS "map"
    )
set_source_files_properties("mapimage.png"
    PROPERTIES QT_RESOURCE_ALIAS "mapimage"
    )
set_source_files_properties("opacitymask.png"
    PROPERTIES QT_RESOURCE_ALIAS "opacitymask"
    )
set(surfacetest_resource_files
    "Heightmap.png"
    "mapimage.png"
    "opacitymask.png"
    )

qt_internal_add_resource(tst_surfacetest "surfacetest"
    PREFIX
    "/maps"
    FILES
    ${surfacetest_resource_files}
    )

=== examples/graphs/2d/quickwidgetgraphs/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(quickwidgetgraphs LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Quick)
find_package(Qt6 COMPONENTS Graphs)
find_package(Qt6 COMPONENTS QuickWidgets)
find_package(Qt6 COMPONENTS Widgets)

qt_add_executable(quickwidgetgraphs
    main.cpp
    piewidget.h piewidget.cpp
    piegraph.h piegraph.cpp
)

set_target_properties(quickwidgetgraphs PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(quickwidgetgraphs PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::Graphs
    Qt::QuickWidgets
    Qt::Widgets
)

install(TARGETS quickwidgetgraphs
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-graphs (6.10.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Feb 2026 16:36:07 +0100

qt6-graphs (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Sat, 07 Feb 2026 19:23:06 +0100

=== debian/control ===
Source: qt6-graphs
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libcups2-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-quick3d-dev (>= 6.10.2~),
               qt6-quick3d-private-dev (>= 6.10.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-graphs
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-graphs.git

Package: libqt6graphs6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Graphs library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs library.

Package: libqt6graphswidgets6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Graphs Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs Widgets library.

Package: qml6-module-qtgraphs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 Graphs QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs QML module.

Package: qt6-graphs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6graphs6 (= ${binary:Version}),
         libqt6graphswidgets6 (= ${binary:Version}),
         qml6-module-qtgraphs (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Graphs - development
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using the Qt Graphs library.

Package: qt6-graphs-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc,
         ${misc:Depends},
Description: Qt 6 Graphs documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Graphs.

Package: qt6-graphs-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html,
         ${misc:Depends},
Description: Qt 6 Graphs HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Graphs.

Package: qt6-graphs-examples
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Graphs examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs examples.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtgraphs-everywhere-src-(.*)\.tar\.xz
